[![PyPI version](https://badge.fury.io/py/capital.svg)](https://badge.fury.io/py/capital)
[![Documentation Status](https://readthedocs.org/projects/capital/badge/?version=latest)](https://capital.readthedocs.io/en/latest/?badge=latest)

# CAPITAL

## Comparative pseudotime analysis of single-cell RNA-seq data

Last updated: 2021-03-16

We present CAPITAL, a computational method for comparing pseudotime trajectories with tree alignment whereby trajectories including branchings can be automatically compared.

## Installation
* CAPITAL (ver. 1.0.2) in Python

### Requirements
* Python>=3.8 ([Miniconda](https://docs.conda.io/en/latest/miniconda.html) is recommended)
* anndata>=0.7.4
* graphtools
* graphviz
* h5py>=2.10
* leidenalg
* magic-impute
* matplotlib>=3.1.2
* networkx>=2.3
* pandas>=0.21
* pydot
* scanpy==1.7
* scikit-learn
* scipy>=1.4
* scprep
* tslearn

### Install on Linux, Windows (WSL) and macOS
Create a new environment for CAPITAL (recommended):
```
$ conda create -n capital python=3.8 graphviz
```
Next, activate the environment and pull CAPITAL from PyPI:
```
$ conda activate capital
$ pip install capital
```

## Usage
Read the [documentation](https://capital.readthedocs.io/en/latest/). CAPITAL uses a single-cell analysis toolkit [Scanpy](https://scanpy.readthedocs.io/en/latest/index.html) in its implementation so that one can also use Scanpy's useful functions including preprocessing, plotting and datasets in the CAPITAL environment.